Bug 1847442 - [upgrade]Pipeline build keeps new status after upgrade jenkins server from 4.3 to 4.4
Summary: [upgrade]Pipeline build keeps new status after upgrade jenkins server from 4....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Akram Ben Aissi
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On: 1845902
Blocks: 1847452
TreeView+ depends on / blocked
 
Reported: 2020-06-16 12:01 UTC by Akram Ben Aissi
Modified: 2020-06-29 15:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1845829
Environment:
Last Closed: 2020-06-29 15:34:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift jenkins pull 1082 None closed Bug 1847442: Set OPENSHIFT_JENKINS_IMAGE_VERSION 2020-07-27 18:54:31 UTC
Red Hat Product Errata RHBA-2020:2713 None None None 2020-06-29 15:34:43 UTC

Comment 3 Jitendar Singh 2020-06-22 20:15:27 UTC
VERIFIED

=====================================================================================================================================================
TAGGING TO USE 4.3 JENKINS IMAGE
✘ jsingh@localhost  ~/go/src/github.com/redhat-developer  oc tag quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:eaaaa12714abe9318237ba2698897a9591110e5d282c025651c41c2a1c512046 jenkins:2 --reference-policy='local' -n openshift    
Tag jenkins:2 set to quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:eaaaa12714abe9318237ba2698897a9591110e5d282c025651c41c2a1c512046.
 jsingh@localhost  ~/go/src/github.com/redhat-developer  oc get pods -w
NAME                              READY   STATUS        RESTARTS   AGE
jenkins-1-deploy                  0/1     Completed     0          13m
jenkins-1-hr68m                   1/1     Terminating   0          12m
jenkins-2-deploy                  1/1     Running       0          4s
mongodb-1-deploy                  0/1     Completed     0          5m25s
mongodb-1-wt6cd                   1/1     Running       0          5m22s
nodejs-mongodb-example-1-build    0/1     Completed     0          3m41s
nodejs-mongodb-example-1-deploy   0/1     Completed     0          2m18s
nodejs-mongodb-example-1-ndprc    1/1     Running       0          2m14s
jenkins-1-hr68m                   1/1     Terminating   0          12m
jenkins-1-hr68m                   0/1     Terminating   0          12m
jenkins-1-hr68m                   0/1     Terminating   0          13m
jenkins-1-hr68m                   0/1     Terminating   0          13m
jenkins-2-bqjsb                   0/1     Pending       0          0s
jenkins-2-bqjsb                   0/1     Pending       0          0s
jenkins-2-bqjsb                   0/1     ContainerCreating   0          0s
jenkins-2-bqjsb                   0/1     ContainerCreating   0          11s
jenkins-2-bqjsb                   0/1     ContainerCreating   0          20s
jenkins-2-bqjsb                   0/1     Running             0          34s
jenkins-2-bqjsb                   1/1     Running             0          90s
jenkins-2-deploy                  0/1     Completed           0          108s
jenkins-2-deploy                  0/1     Completed           0          108s
jenkins-2-deploy                  0/1     Completed           0          109s
^C%        
---------------------------------------------------------------------------------------------------------------------------------
TAGGING TO USE 4.4 JENKINS IMAGE                                                                                                                                                                                    ✘ jsingh@localhost  ~/go/src/github.com/redhat-developer  oc tag quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bd8b955ae1fa10135c9904d85c60b20a8f06deda9f103c88a55e1d28f4cb19cb jenkins:2 --reference-policy='local' -n openshift
Tag jenkins:2 set to quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bd8b955ae1fa10135c9904d85c60b20a8f06deda9f103c88a55e1d28f4cb19cb.
 jsingh@localhost  ~/go/src/github.com/redhat-developer  oc get pods -w
NAME                              READY   STATUS        RESTARTS   AGE
jenkins-1-deploy                  0/1     Completed     0          15m
jenkins-2-bqjsb                   1/1     Terminating   0          2m14s
jenkins-2-deploy                  0/1     Completed     0          2m31s
jenkins-3-deploy                  1/1     Running       0          4s
mongodb-1-deploy                  0/1     Completed     0          7m52s
mongodb-1-wt6cd                   1/1     Running       0          7m49s
nodejs-mongodb-example-1-build    0/1     Completed     0          6m8s
nodejs-mongodb-example-1-deploy   0/1     Completed     0          4m45s
nodejs-mongodb-example-1-ndprc    1/1     Running       0          4m41s
jenkins-2-bqjsb                   0/1     Terminating   0          2m15s
jenkins-2-bqjsb                   0/1     Terminating   0          2m16s
jenkins-2-bqjsb                   0/1     Terminating   0          2m16s
jenkins-3-jlrj4                   0/1     Pending       0          0s
jenkins-3-jlrj4                   0/1     Pending       0          0s
jenkins-3-jlrj4                   0/1     ContainerCreating   0          0s
jenkins-3-jlrj4                   0/1     ContainerCreating   0          20s
jenkins-3-jlrj4                   0/1     Running             0          21s
jenkins-3-jlrj4                   1/1     Running             0          91s
jenkins-3-deploy                  0/1     Completed           0          99s
jenkins-3-deploy                  0/1     Completed           0          99s
jenkins-3-deploy                  0/1     Completed           0          102s
^C%                                                                                                                                                                                            ✘ jsingh@localhost  ~/go/src/github.com/redhat-developer  oc get routes
NAME                     HOST/PORT                                                                                        PATH   SERVICES                 PORT    TERMINATION     WILDCARD
jenkins                  jenkins-jenkins-test1.apps.jenkins-4.4.8-06-23-2020.qe.devcluster.openshift.com                         jenkins                  <all>   edge/Redirect   None
nodejs-mongodb-example   nodejs-mongodb-example-jenkins-test1.apps.jenkins-4.4.8-06-23-2020.qe.devcluster.openshift.com          nodejs-mongodb-example   <all>                   None
 
--------------------------------------------------------------------
TAGGING TO USE 4.3 JENKINS IMAGE again to re-check
-----------------------------------------------------------------------

jsingh@localhost  ~/go/src/github.com/redhat-developer oc tag quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:eaaaa12714abe9318237ba2698897a9591110e5d282c025651c41c2a1c512046 jenkins:2 --reference-policy='local' -n openshift
Tag jenkins:2 set to quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:eaaaa12714abe9318237ba2698897a9591110e5d282c025651c41c2a1c512046.
 jsingh@localhost  ~/go/src/github.com/redhat-developer  oc get pods -w
NAME                              READY   STATUS        RESTARTS   AGE
jenkins-1-deploy                  0/1     Completed     0          17m
jenkins-2-deploy                  0/1     Completed     0          4m47s
jenkins-3-deploy                  0/1     Completed     0          2m20s
jenkins-3-jlrj4                   1/1     Terminating   0          2m13s
jenkins-4-deploy                  1/1     Running       0          6s
mongodb-1-deploy                  0/1     Completed     0          10m
mongodb-1-wt6cd                   1/1     Running       0          10m
nodejs-mongodb-example-1-build    0/1     Completed     0          8m24s
nodejs-mongodb-example-1-deploy   0/1     Completed     0          7m1s
nodejs-mongodb-example-1-ndprc    1/1     Running       0          6m57s
jenkins-3-jlrj4                   1/1     Terminating   0          2m19s
jenkins-3-jlrj4                   0/1     Terminating   0          2m20s
jenkins-3-jlrj4                   0/1     Terminating   0          2m21s
jenkins-3-jlrj4                   0/1     Terminating   0          2m21s
jenkins-4-r7zzs                   0/1     Pending       0          0s
jenkins-4-r7zzs                   0/1     Pending       0          0s
jenkins-4-r7zzs                   0/1     ContainerCreating   0          0s
jenkins-4-r7zzs                   0/1     ContainerCreating   0          11s
jenkins-4-r7zzs                   0/1     Running             0          12s
jenkins-4-r7zzs                   1/1     Running             0          56s
jenkins-4-deploy                  0/1     Completed           0          71s
jenkins-4-deploy                  0/1     Completed           0          71s
jenkins-4-deploy                  0/1     Completed           0          78s
===========================================================================================================

Comment 5 errata-xmlrpc 2020-06-29 15:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2713


Note You need to log in before you can comment on or make changes to this bug.